<?php
	
	$id_empresa = $_GET["e"];
	$id = $_GET["id"];
    $trivia = $_GET["t"];
	$hoy = date("Y-m-d H:i:s");

	//CONSULTA PARA NUEVO CLIENTE
	//CONSULTA PARA NUEVO CLIENTE
	if($_POST["pregunta"] != ""){

		if($_POST["id_registro"] != ""){
			mysqli_query($connect,"UPDATE Trivia_Preguntas SET id_trivia = '".$trivia."', pregunta = '".$_POST["pregunta"]."', 
            opc_1 = '".$_POST["opc_1"]."', opc_2 = '".$_POST["opc_2"]."', opc_3 = '".$_POST["opc_3"]."', opc_4 = '".$_POST["opc_4"]."', opc_5 = '".$_POST["opc_5"]."', 
            correcta = '".$_POST["correcta"]."', orden = '".$_POST["orden"]."', estado = '".$_POST["estado"]."' WHERE id = '".$_POST["id_registro"]."'  ");
		}
		else{

			mysqli_query($connect,"INSERT INTO Trivia_Preguntas ( id_trivia, pregunta, opc_1, opc_2, opc_3, opc_4, opc_5, correcta, orden, estado, created_at ) 
			VALUES 
			( '".$trivia."', '".$_POST["pregunta"]."', '".$_POST["opc_1"]."', '".$_POST["opc_2"]."', '".$_POST["opc_3"]."', '".$_POST["opc_4"]."', '".$_POST["opc_5"]."', 
            '".$_POST["correcta"]."', '".$_POST["orden"]."', '".$_POST["estado"]."', '".$hoy."' ) ");
		}
		echo '<script>window.location = "?pg=trivia/detalle&id='.$trivia.'";</script>';//para evitar reinsersion
	}
	
	
	//INFORMACION DE LA BATERIA
	$query = mysqli_query($connect,"SELECT * FROM Trivia_Preguntas WHERE id = '".$id."' ");
	$data = mysqli_fetch_array($query);	
?>



<nav aria-label="breadcrumb" style="margin-top:15px" >
	<ol class="breadcrumb" style="background-color: rgba(0,0,0,0); margin-bottom:0px">
		<li class="breadcrumb-item"><a href="?pg=home">Home</a></li>
		<li class="breadcrumb-item" aria-current="page"><a href="?pg=trivias">Trivias</a></li>
        <li class="breadcrumb-item" aria-current="page"><a href="?pg=trivia/detalle&id=<?php echo $trivia; ?>">Trivia</a></li>
        <li class="breadcrumb-item active" aria-current="page">Detalle</li>
	</ol>
</nav>

<?php echo $respuesta; ?>

<div class="container" style="margin-top:15px">
	<div class="card">

        <!-- DETALLE -->
        <div class="card-body">
      
            <form action="" method="post" enctype="multipart/form-data">
                <div class="row">
                
                    <input type="hidden" name="id_registro" value="<?php echo $id; ?>">

					<div class="col-md-12 item_input">
                    	<h3>Detalle</b></h3>
                    </div>
                    
                    
                    <div class="col-md-12 item_input">    
                        <label class="ti_label">Pregunta</label>
                        <input type="text" class="form-control" name="pregunta" required value="<?php echo $data["pregunta"]; ?>">
                    </div>
                
                    <div class="col-md-6 item_input">    
                        <label class="ti_label">Opción 1</label>
                        <input type="text" class="form-control" name="opc_1" required value="<?php echo $data["opc_1"]; ?>">
                    </div>
                    <div class="col-md-6 item_input">    
                        <label class="ti_label">Opción 2</label>
                        <input type="text" class="form-control" name="opc_2" required value="<?php echo $data["opc_2"]; ?>">
                    </div>
                    <div class="col-md-6 item_input">    
                        <label class="ti_label">Opción 3</label>
                        <input type="text" class="form-control" name="opc_3" value="<?php echo $data["opc_3"]; ?>">
                    </div>
                    <div class="col-md-6 item_input">    
                        <label class="ti_label">Opción 4</label>
                        <input type="text" class="form-control" name="opc_4" value="<?php echo $data["opc_4"]; ?>">
                    </div>
                    <div class="col-md-6 item_input">    
                        <label class="ti_label">Opción 5</label>
                        <input type="text" class="form-control" name="opc_5" value="<?php echo $data["opc_5"]; ?>">
                    </div>
                
                    <div class="col-md-6 item_input">    
                        <label class="ti_label">Orden</label>
                        <input type="text" class="form-control" name="orden" value="<?php echo $data["orden"]; ?>">
                    </div>
                
 
                    <div class="col-md-6 item_input">
                        <label class="ti_label">Correcta</label>
                        <select class="form-control" name="correcta">
                            <option value="">Selecciona...</option>
                            <?php
                                for($i=1; $i<=5; $i++){               
                                    if($i == $data["correcta"]){
										echo '<option value="'.$i.'" selected="selected">'.$i.'</option>';
									}
									else{
										echo '<option value="'.$i.'">'.$i.'</option>';
									}
                                }
                            ?>
                        </select>
                    </div>
                
                    <div class="col-md-6 item_input">
                        <label class="ti_label">Estado</label>
                        <select class="form-control" name="estado" id="estado">
                            <option value="">Selecciona...</option>
                            <?php
                                foreach($Array_Estado as $estado){
									if($estado[0] == $data["estado"]){
										echo '<option value="'.$estado[0].'" selected="selected">'.$estado[1].'</option>';
									}
									else{
										echo '<option value="'.$estado[0].'">'.$estado[1].'</option>';
									}
								}
                            ?>
                        </select>
                    </div>

                    <div class="col-md-12" style="margin-top: 15px; text-align: left;">
                        <button type="submit" class="btn btn-success btn-block" style="border-radius: 30px;" onClick="GuardarNotificacion()">Guardar</button>
                    </div>
                            
                </div>
            </form>
    
        </div>
    </div>

</div>





<style>
.item_input{
	margin-bottom:15px;
}
</style>

<script>
var urls = '<?php echo $api; ?>';
var activar = false;
//GUARDAR ACADEMICO
function Eliminar_Imagen(val){	

	if(activar == false){
		$("#modal_general").modal("show");

		$("#modal_body").html('Esta a punto de eliminar esta imágen, esta acción es irreversible ¿Esta seguro?<br><br>');
			
		$("#modal_body").append('<button type="button" class="btn btn-danger" onclick="activar = true; Eliminar_Imagen('+val+')">Eliminar</button>');
		$("#modal_body").append('<button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>');
	}
	
	else{
		
		$("#preloader").show();
			
		jQuery.ajax({
			url: urls+"eliminar_imagen.php",
			type:'post',
			data: {id:val, url:'?pg=catalogo/detalle&id=<?php echo $id; ?>'},
			}).done(function (resp){
				//$("this").hide();	
				$("#xscript").html(resp);
			})
			.fail(function() {
			})
			.always(function(resp){
				$("#preloader").hide();
			}
		);	
	}
}
</script>


<script>
$( document ).ready(function() {
    $("#bt_sala").addClass( "btn-primary" );
});
</script>


<?php if($id != ""){ ?>
<script src="https://www.gstatic.com/firebasejs/4.9.0/firebase.js"></script>
<script>
  // Your web app's Firebase configuration
    var firebaseConfig = {
         apiKey: "AIzaSyBuEjIcLWUHKRdcaLXgExO12_jKtg4o7sw",
        authDomain: "aid2020-dd2bf.firebaseapp.com",
        databaseURL: "https://aid2020-dd2bf.firebaseio.com",
        projectId: "aid2020-dd2bf",
        storageBucket: "aid2020-dd2bf.appspot.com",
        messagingSenderId: "88875797266",
        appId: "1:88875797266:web:8fcaeffd14d925566841cb"
    };
    // Initialize Firebase
    firebase.initializeApp(firebaseConfig);
    var database = firebase.database();
	 
    
    //2. ESCUCHAMOS SI UN USUARIO SE CONECTA 
    var tb_notificaciones = database.ref('notificaciones');
    tb_notificaciones.on('value', Notificaciones);
    
    function Notificaciones(data){
        console.log(data.val());
    }
    
    function GuardarNotificacion() {
        if( $("#estado").val() ){
            database.ref( 'notificaciones' ).set({
                tipo: 4 ,
                mensaje: $("#estado").val(),
                fecha : Date.now()
            });
        }
        else{
            alert("Recuerda que todos los datos son obligatorios.");
        }
    }
    
</script>
<?php } ?>
